# DataExchange
TKVRML
VrmlData

# VrmlData_Appearance Class Reference

`#include <VrmlData_Appearance.hxx>`

Inheritance diagram for VrmlData_Appearance:

[legend]

## Public Member Functions

| VrmlData_Appearance ()
| VrmlData_Appearance (const VrmlData_Scene &theScene, const char *theName)
const | Handle (VrmlData_Material)&Material() const
const | Handle (VrmlData_Texture)&Texture() const
const | Handle (VrmlData_TextureTransform)&TextureTransform() const
void | SetMaterial (const Handle(VrmlData_Material)&theMat)
void | SetTexture (const Handle(VrmlData_Texture)&theTexture)
void | SetTextureTransform (const Handle(VrmlData_TextureTransform)&theTT)
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const
virtual Standard_EXPORT Standard_Boolean | IsDefault () const

## Private Member Functions

| Handle (VrmlData_Material) myMaterial
| Handle (VrmlData_Texture) myTexture
| Handle (VrmlData_TextureTransform) myTTransform

## Detailed Description

Implementation of the Appearance node type

## Constructor & Destructor Documentation

VrmlData_Appearance::VrmlData_Appearance | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Appearance::VrmlData_Appearance | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName
| ) | `[inline]`

| Constructor

## Member Function Documentation

VrmlData_Appearance::Handle | ( | VrmlData_TextureTransform |  | ) | `[private]`

VrmlData_Appearance::Handle | ( | VrmlData_Texture |  | ) | `[private]`

VrmlData_Appearance::Handle | ( | VrmlData_Material |  | ) | `[private]`

virtual Standard_EXPORT VrmlData_Appearance::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

const VrmlData_Appearance::Handle | ( | VrmlData_TextureTransform |  | ) | const`[inline]`

| Query the TextureTransform

const VrmlData_Appearance::Handle | ( | VrmlData_Texture |  | ) | const`[inline]`

| Query the Texture

const VrmlData_Appearance::Handle | ( | VrmlData_Material |  | ) | const`[inline]`

| Query the Material

virtual Standard_EXPORT Standard_Boolean VrmlData_Appearance::IsDefault | ( |  | ) | const`[virtual]`

| Returns True if the node is default, so that it should not be written. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Appearance::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the node from input stream. Implements VrmlData_Node.

void VrmlData_Appearance::SetMaterial | ( | const Handle(VrmlData_Material)& | theMat | ) | `[inline]`

| Set the Material

void VrmlData_Appearance::SetTexture | ( | const Handle(VrmlData_Texture)& | theTexture | ) | `[inline]`

| Set the Texture

void VrmlData_Appearance::SetTextureTransform | ( | const Handle(VrmlData_TextureTransform)& | theTT | ) | `[inline]`

| Set the Texture Transform

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Appearance::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node from input stream. Reimplemented from VrmlData_Node.

The documentation for this class was generated from the following file:

- VrmlData_Appearance.hxx